libwps: WPSContentListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WPSContentListener Class Reference

`#include <WPSContentListener.h>`

Inheritance diagram for WPSContentListener:

List of all members.

## Public Member Functions
| WPSContentListener (std::list< WPSPageSpan > &pageList, WPXHLListenerImpl *listenerImpl)
virtual | ~WPSContentListener ()
void | startDocument ()
void | endDocument ()
void | insertBreak (const uint8_t breakType)
void | setTextFont (const WPXString fontName)
void | setFontSize (const uint16_t fontSize)
void | insertCharacter (const uint16_t character)
void | insertEOL ()
## Protected Member Functions
void | _flushText ()
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _openParagraph ()
void | _closeParagraph ()
void | _openSpan ()
void | _closeSpan ()
## Protected Attributes
WPSContentParsingState * | m_ps
WPXHLListenerImpl * | m_listenerImpl
WPXPropertyList | m_metaData
## Private Member Functions
| WPSContentListener (const WPSContentListener &)
WPSContentListener & | operator= (const WPSContentListener &)
## Private Attributes
std::list< WPSPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WPSContentListener::WPSContentListener | ( | std::list< WPSPageSpan > & | pageList,
|  | WPXHLListenerImpl * | listenerImpl |
| ) |  |  |

WPSContentListener::~WPSContentListener | ( |  | ) | `[virtual]`

WPSContentListener::WPSContentListener | ( | const WPSContentListener & |  | ) | `[private]`

## Member Function Documentation

void WPSContentListener::startDocument | ( |  | ) |

void WPSContentListener::endDocument | ( |  | ) |

void WPSContentListener::insertBreak | ( | const uint8_t | breakType | ) |

void WPSContentListener::setTextFont | ( | const WPXString | fontName | ) |

void WPSContentListener::setFontSize | ( | const uint16_t | fontSize | ) |

void WPSContentListener::insertCharacter | ( | const uint16_t | character | ) |

void WPSContentListener::insertEOL | ( |  | ) |

void WPSContentListener::_flushText | ( |  | ) | `[protected]`

void WPSContentListener::_openSection | ( |  | ) | `[protected]`

void WPSContentListener::_closeSection | ( |  | ) | `[protected]`

void WPSContentListener::_openPageSpan | ( |  | ) | `[protected]`

void WPSContentListener::_closePageSpan | ( |  | ) | `[protected]`

void WPSContentListener::_openParagraph | ( |  | ) | `[protected]`

void WPSContentListener::_closeParagraph | ( |  | ) | `[protected]`

void WPSContentListener::_openSpan | ( |  | ) | `[protected]`

void WPSContentListener::_closeSpan | ( |  | ) | `[protected]`

WPSContentListener& WPSContentListener::operator= | ( | const WPSContentListener & |  | ) | `[private]`

## Member Data Documentation

WPSContentParsingState* WPSContentListener::m_ps`[protected]`

WPXHLListenerImpl* WPSContentListener::m_listenerImpl`[protected]`

WPXPropertyList WPSContentListener::m_metaData`[protected]`

std::list<WPSPageSpan>& WPSContentListener::m_pageList`[private]`

The documentation for this class was generated from the following files:

- WPSContentListener.h
- WPSContentListener.cpp